<?
if (!isset($_GET['id']))
{
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
$set['title'] ='Мои гонки';
/*
=========================
Автор: BleIK
=========================
Игра: Мои гонки
=========================
*/

}
if (isset($_GET['id']))
{if (isset($_GET['idd'])){if($_FILES["filename"]["size"] > 1024*3*1024){echo ("Размер файла превышает три мегабайта");exit;}if(is_uploaded_file($_FILES["filename"]["tmp_name"]))
   {
     move_uploaded_file($_FILES["filename"]["tmp_name"], "images/cars/".$_FILES["filename"]["name"]);} else {echo("Ошибка загрузки файла");
   }
}
echo '
<html>
<head><title>Загрузка файлов на сервер</title></head>
<body><h2><p> Выгрузите , картинку новой машины (не дороботана)</p></h2><form action="?id&idd" method="post" enctype="multipart/form-data"><input type="file" name="filename"><br> <input type="submit" value="Загрузить"><br></form>
</body></html>';

exit;
}
$set['title'] = 'Мои гонки';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
?>
<link rel="stylesheet" type="text/css" href="style.css"/>
<link href="images/favicon.ico" rel="shortcut icon" type="image/x-icon" />
<?

if(!$user)
{
echo 'Зарегестрируйтесь ';
exit();
}
echo '
  <table class="tb00">
    <tbody>
      <tr>';
include'bleik.php';
echo '
	  <td class="raml"></td>
        <td class="dbody1">
          <table class="tb00">
            <tbody>
         
            </tbody>
          </table>
          <div class="dbody">
		  ';

echo '
<div style="background:#333;width:100%;height:2px;"><div style="background:rgb(0,140,0);width:0%;height:2px;" class="mini2"></div></div></legend></fieldset>
	<fieldset>
	<legend class="ok">Помощник BleIK</legend>
	<div class="dt100"><img src="images/info100.gif" width="50" height="50" alt="Инфо" class="im5"  />
';
if(isset($_POST['submit'])){
$id=abs(intval($_GET['id_user']));

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_moi` WHERE `id_2`='".$user['id']."' AND `id_1`='".$id."' AND `act`='0'"),0)==0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `racing_moi` WHERE `id_1`='".$user['id']."' AND `id_2`='".$id."' AND `act`='0'"),0)==0){
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `moigonki` WHERE `id_u`='".$id."'"),0)!=0){
mysql_query("INSERT `racing_moi`(`id_1`, `id_2`) VALUES('".$user['id']."', '".$id."')");
echo 'Вы отправили вызов сопернику ждите ответа.';
}

}
else
{
echo 'Гонщик ваш вызов еще не подтвердил.';
}

}
if($arr['race_last']<time()){
if(isset($_GET['b'])){
$rand=rand(1,2);
if($rand==1){
mysql_query("UPDATE `moigonki` SET `race_kol`=`race_kol`+1, `win`=`win`+1, `exp`=`exp`+3, `money`=`money`+500, `resp`=`resp`+200, `samoobl`=`samoobl`+250, `reak`=`reak`+310 WHERE `id_u`='".$user['id']."'");
echo 'Вы выграли';
}
else
{
mysql_query("UPDATE `moigonki` SET `race_kol`=`race_kol`+1, `lose`=`lose`+1 WHERE `id_u`='".$user['id']."'");
echo 'Вы проиграли';

}


}}
else
{
echo "Вы сегодня много сделали заездов и вам нужно отдохнуть, в ближайщее ".sictime($arr['race_last']-time())."";
$t=1;
}

if(!isset($user)){
echo 'Чтобы гонятся вам нужно пройти регистрацию или авторизацию';
include_once '../../sys/inc/tfoot.php';
exit;
}
function sictime($timediff){

$oneMinute=60;
$oneHour=60*60;
$oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));
$time_1="$hourfield ч. $minutefield м. $secondfield c";
return $time_1;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `moigonki` WHERE `id_u`='".$user['id']."'"),0)==0)
mysql_query("INSERT INTO `moigonki`(`id_u`) VALUES('".$user['id']."')");
  $arr=mysql_fetch_array(mysql_query("SELECT * FROM `moigonki` WHERE `id_u`='".$user['id']."'"));
   $car=mysql_fetch_array(mysql_query("SELECT * FROM `moi_gonkis` WHERE `id`='".$arr['car']."'"));
   if($arr['color']!='0'){
if($arr['color']==1)
$color='red_';
elseif($arr['color']==2)
$color='blue_';
elseif($arr['color']==3)
$color='green_'; 
}

if($arr['race_kol']>15){
$newtime=time()+60*60*12;
mysql_query("UPDATE `moigonki` SET `race_kol`='0', `race_last`='".$newtime."' WHERE `id_u`='".$user['id']."'");
echo 'Вы сегодня много сделали заездов и вам нужно отдохнуть, в ближайщее 10 часов ';

}
if(isset($_GET['a'])){
echo 'Тут  вы сможете выбирать себе гонщика и гоняться с ним';
}

echo '<br/><div class="clear"></div></div></fieldset>';
?>
<fieldset>

<legend class="h1">
  <img src="images/flag.gif" alt=".">
Гонщики случайные
</legend>
<div class="dt100">
  <p>

<?
$cars=mysql_fetch_array(mysql_query("SELECT * FROM `moi_gonkis` WHERE `class`='".$car['class']."' ORDER BY RAND() DESC LIMIT 1"));

if($t!=1){
?>


<?
echo "<img src='images/cars/".$cars['screen']."' class='wdt'/>";
?>


<b class="white">
<a class='white' href=''>Гонщик BleIK</a> на 
</b>
<?
echo "".$cars['name']."";
?>
</b><br>
<form method='post' action='vet.php?b'>
<input class="a100" type='submit' name='submit' value=' Начать гонку'/></form>
<br><br>
</p>
</div>

</fieldset>
<?
}

echo '<fieldset>
  <legend class="path">
    <a href="/online_games/racing/index1.php.php">
      <img src="images/green.gif" alt="/" style="margin:0px 4px 0px 0px;">
      Главная
    </a>
     » 
   
  </legend>
</fieldset>
<br class="br1">
          </div>
        </td>
        <td class="ramr"></td>
      </tr>
    </tbody>
  </table></p></div>
  <div class="ramd"></div>
  <br>
  <span class="mini2">
    <center>by xLoF.Ru</center>
    <br>
    
  </span>';
include_once '../../sys/inc/tfoot.php';
?>